using Knoks.Core.Entities;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace Knoks.Core.Logic.Interfaces
{
    public interface IExchangeManager
    {
        Task UpdateExchanges();

        Task PutDataExchanges(TickerData data);
        Task<TickerData> GetTickerData(int tickerId, DateTime start, DateTime end);
        Task<TickerData> GetTickerData(int exchangeId, string currency1, string currency2);
        Task<ExchangeStart> GetTradingPairRate(int exchangeId, string currency1, string currency2);
    }
}
